# Show message if core dumps are present

consoletype=`/sbin/consoletype`

if [[ x$consoletype = 'xvt' || x$consoletype = 'xpty' ]]; then
if [[ $UID -eq 0 && -d /backups/dumps ]]; then
	NUM_CORES=`find /backups/dumps/ -type f -name 'core*' -maxdepth 1 2>/dev/null | wc -l`
	NUM_RECENT_CORES=`find /backups/dumps/ -type f -name 'core*' -maxdepth 1 -mtime -7 2>/dev/null | wc -l`

	if [ $NUM_CORES -gt 0 -o $NUM_RECENT_CORES -gt 0 ]; then
		MSG="$NUM_CORES dumps are present in /backups/dumps. ($NUM_RECENT_CORES from the last week.)"
		echo
		echo $MSG
		echo
	fi
fi
fi
