#!/bin/sh
#
# BJT 1/4/07
# This script will create a tunnel automatically calling picport, or if it already exists close the active tunnel.
#

ps -leaf | grep ssh | grep dpu_client | grep -v grep > /dev/null 2>&1
if [[ $? == 0 ]]; then 
# Stop tunnel.
	PID=`ps -leaf | grep ssh | grep dpu_client | grep -v grep | awk ' { print $4 } '`
	PORT=`ps -leaf | grep ssh | grep dpu_client | grep -v grep | sed "s/.*-n -R //" | cut -f1 -d':'`
	echo "Closing support tunnel:  $PORT"
	kill $PID
	if [[ $? == 0 ]]; then
		echo "Success."
	else
		echo "Failed."
	fi
else 
# Start tunnel.
. /etc/default/bp.ini > /dev/null 2>&1
	PORT=`$BPDIR/lcdman.dir/pickport`
	/usr/local/bin/dpu update > /dev/null 2>&1
	echo "Creating support tunnel:  $PORT"
	/usr/local/bin/dpu support $PORT 
fi
exit 0
