<?php

/**
 * This class was created using wsdl2php.
 *
 * @wsdl2php  Mon, 17 Mar 2014 19:06:02 +0200 - Last modified
 * @WSDL      https://test.connectwise.com/v4_6_release/apis/1.5/ServiceTicketApi.asmx?wsdl
 * @Processed Wed, 23 Apr 2014 03:12:27 +0300
 * @Hash      2ae246014be5fbca1841a6768ce5b882
 */

class ServiceTicketApi_Ticket
{

    /**
     * @var int $SRServiceRecID
     * @mandatory
     */
    public $SRServiceRecID;

    /**
     * @var string $CompanyName
     */
    public $CompanyName;

    /**
     * @var int $CompanyRecId
     * @mandatory
     */
    public $CompanyRecId;

    /**
     * @var int $ContactRecId
     * @mandatory
     */
    public $ContactRecId;

    /**
     * @var string $ContactName
     */
    public $ContactName;

    /**
     * @var string $AddressLine1
     */
    public $AddressLine1;

    /**
     * @var string $AddressLine2
     */
    public $AddressLine2;

    /**
     * @var string $City
     */
    public $City;

    /**
     * @var string $StateId
     */
    public $StateId;

    /**
     * @var string $Zip
     */
    public $Zip;

    /**
     * @var string $Country
     */
    public $Country;

    /**
     * @var string $Board
     */
    public $Board;

    /**
     * @var string $BoardName
     */
    public $BoardName;

    /**
     * @var int|Null $BoardID
     * @mandatory
     */
    public $BoardID;

    /**
     * @var string $TicketStatus
     */
    public $TicketStatus;

    /**
     * @var string $StatusName
     */
    public $StatusName;

    /**
     * @var boolean $ClosedFlag
     * @mandatory
     */
    public $ClosedFlag;

    /**
     * @var string $Type
     */
    public $Type;

    /**
     * @var string $ServiceType
     */
    public $ServiceType;

    /**
     * @var string $Priority
     */
    public $Priority;

    /**
     * @var string $Location
     */
    public $Location;

    /**
     * @var string $Source
     */
    public $Source;

    /**
     * @var string $Summary
     */
    public $Summary;

    /**
     * @var dateTime|Null $EnteredDate
     * @mandatory
     */
    public $EnteredDate;

    /**
     * @var dateTime|Null $LastUpdateDate
     * @mandatory
     */
    public $LastUpdateDate;

    /**
     * @var string $Resources
     */
    public $Resources;

    /**
     * @var dateTime|Null $RequiredDate
     * @mandatory
     */
    public $RequiredDate;

    /**
     * @var dateTime|Null $ClosedDate
     * @mandatory
     */
    public $ClosedDate;

    /**
     * @var string $SiteName
     */
    public $SiteName;

    /**
     * @var decimal|Null $BudgetHours
     * @mandatory
     */
    public $BudgetHours;

    /**
     * @var decimal|Null $ActualHours
     * @mandatory
     */
    public $ActualHours;

    /**
     * @var boolean $Approved
     * @mandatory
     */
    public $Approved;

    /**
     * @var string $ClosedBy
     */
    public $ClosedBy;

    /**
     * @var int|Null $ResolveMins
     * @mandatory
     */
    public $ResolveMins;

    /**
     * @var int|Null $ResPlanMins
     * @mandatory
     */
    public $ResPlanMins;

    /**
     * @var int|Null $RespondMins
     * @mandatory
     */
    public $RespondMins;

    /**
     * @var string $UpdatedBy
     */
    public $UpdatedBy;

    /**
     * @var string $RecordType
     */
    public $RecordType;

    /**
     * @var int|Null $TeamId
     * @mandatory
     */
    public $TeamId;

    /**
     * @var int|Null $AgreementId
     * @mandatory
     */
    public $AgreementId;

    /**
     * @var string $Severity
     */
    public $Severity;

    /**
     * @var string $Impact
     */
    public $Impact;

    /**
     * @var dateTime|Null $DateResolvedUTC
     * @mandatory
     */
    public $DateResolvedUTC;

    /**
     * @var dateTime|Null $DateResplanUTC
     * @mandatory
     */
    public $DateResplanUTC;

    /**
     * @var dateTime|Null $DateRespondedUTC
     * @mandatory
     */
    public $DateRespondedUTC;

    /**
     * @var string $LastUpdateId
     */
    public $LastUpdateId;

    /**
     * @var string $ContactEmailAddress
     */
    public $ContactEmailAddress;

    /**
     * @var string $SubType
     */
    public $SubType;

    /**
     * @var string $SubTypeItem
     */
    public $SubTypeItem;

    /**
     * @var string $ContactPhoneNumber
     */
    public $ContactPhoneNumber;

}
