<?php

// This file has paths to images to support the generation of email reports
// It is included in report_dpu.php and report_vault.php using a "require" statement.
// In order for this file to be interpreted as code to be executed, it
// must start and end with PHP start/end tags.
//
// If PDF, get path to the local file
// If email, get the key to be used when attaching it to the email
// 

$bploc = trim(shell_exec('eval `grep BPDIR /etc/default/bp.ini`; echo $BPDIR'));

$RED_IMG_PDF		= $bploc . "/images/red.gif";
$GREEN_IMG_PDF		= $bploc . "/images/green.gif";
$YELLOW_IMG_PDF		= $bploc . "/images/yellow.gif";

$RED_IMG_HTML		= "cid:red.gif@unitrends.com";
$GREEN_IMG_HTML		= "cid:green.gif@unitrends.com";
$YELLOW_IMG_HTML	= "cid:yellow.gif@unitrends.com";

$ALERT_CRITICAL_IMG_PDF	= $bploc . "/images/flag_red.png";
$ALERT_WARNING_IMG_PDF	= $bploc . "/images/flag_yellow.png";

$ALERT_CRITICAL_IMG_HTML	= "cid:flag_red.png@unitrends.com";
$ALERT_WARNING_IMG_HTML		= "cid:flag_yellow.png@unitrends.com";

function getRedImageSrc() {
	GLOBAL $modePDF;
	$img = "";
	if ($modePDF === true) {
		GLOBAL $RED_IMG_PDF;
		$img = $RED_IMG_PDF;
	}
	else {
		GLOBAL $RED_IMG_HTML;
		$img = $RED_IMG_HTML;
	}
	
	return $img;
}

function getGreenImageSrc() {	
	GLOBAL $modePDF;
	$img = "";
	if ($modePDF === true) {
		GLOBAL $GREEN_IMG_PDF;
		$img = $GREEN_IMG_PDF;
	}
	else {
		GLOBAL $GREEN_IMG_HTML;
		$img = $GREEN_IMG_HTML;
	}
	
	return $img;
}

function getYellowImageSrc() {	
	GLOBAL $modePDF;
	$img = "";
	if ($modePDF === true) {
		GLOBAL $YELLOW_IMG_PDF;
		$img = $YELLOW_IMG_PDF;
	}
	else {
		GLOBAL $YELLOW_IMG_HTML;
		$img = $YELLOW_IMG_HTML;
	}
	
	return $img;
}

function getAlertWarningImageSrc() {	
	GLOBAL $modePDF;
	$img = "";
	if ($modePDF === true) {
		GLOBAL $ALERT_WARNING_IMG_PDF;
		$img = $ALERT_WARNING_IMG_PDF;
	}
	else {
		GLOBAL $ALERT_WARNING_IMG_HTML;
		$img = $ALERT_WARNING_IMG_HTML;
	}
	
	return $img;
}

function getAlertCriticalImageSrc() {	
	GLOBAL $modePDF;
	$img = "";
	if ($modePDF === true) {
		GLOBAL $ALERT_CRITICAL_IMG_PDF;
		$img = $ALERT_CRITICAL_IMG_PDF;
	}
	else {
		GLOBAL $ALERT_CRITICAL_IMG_HTML;
		$img = $ALERT_CRITICAL_IMG_HTML;
	}
	
	return $img;
}

?>