#Security1
#
#full lockdown 
#allow 1743
#allow 1745 through 1745 + dataport_count - 1
#no remote access
#
PATH=$PATH:/sbin

eval `grep BPDIR /etc/default/bp.ini`
# flush everything
iptables -F
iptables -X
iptables -Z
iptables -t nat -F

# Set Policies first
for f in $BPDIR/etc/fwhigh.d/P*
do
	sh $f
done

# Next, do Interfaces
for f in $BPDIR/etc/fwhigh.d/I*
do
	sh $f
done

# Lastly, do specific services
for f in $BPDIR/etc/fwhigh.d/S*
do
	sh $f
done

# save and clear
iptables-save > /etc/sysconfig/iptables
clear
iptables -nL
echo "DPU Security|Level: Hi|" > $BPDIR/lcdman.dir/lcd_sec_hi.txt
echo "DPU Security|Level: Hi|" > $BPDIR/lcdman.dir/lcd_sec_stat.txt
# 2627 - have the security scripts set the data port in master.ini to match security level
#	 hi, med, low should all set to 1745.
#	 none should set to 1744 or leave as is.
$BPDIR/bin/bputil -p "Configuration Options" "data" "1745" $BPDIR/bpinit/master.ini 2> /dev/null

exit 10
