eval `grep BPDIR /etc/default/bp.ini`

pushd $BPDIR/lcdman.dir > /dev/null 2>&1

ps -leaf | grep ssh | grep dpu_client | grep -v grep > /dev/null 2>&1
if [[ $? == 0 ]]; then
	# Tunnel is up
	if [ ! -f lcd_up_tunnel.txt ]; then
		PORT=`ps -leaf | grep ssh | grep dpu_client | grep -v grep | sed "s/.*-n -R //" | cut -f1 -d':'`
		echo "Support Tunnel On|Port: $PORT|" > lcd_up_tunnel.txt
	fi
else
	# Tunnel is down; initialize it
	$BPDIR/bin/cmc_toggle_tunnel.sh > /dev/null 2>&1
	ps -leaf | grep ssh | grep dpu_client | grep -v grep > /dev/null 2>&1
	if [[ $? == 0 ]]; then
		# Success
		PORT=`ps -leaf | grep ssh | grep dpu_client | grep -v grep | sed "s/.*-n -R //" | cut -f1 -d':'`
		echo "Support Tunnel On|Port: $PORT|" > lcd_up_tunnel.txt
	else
		echo "Error Opening|Support Tunnel|" > lcd_up_tunnel.txt
	fi
fi

echo "Support Tunnel|Closed |" > lcd_down_tunnel.txt

popd > /dev/null 2>&1
sleep 1
exit 50
