-- Add any insert statements here for static data.
-- This script is only run on a fresh install!
-- To update static data (adding new records, or deleting old ones),
-- add statements to the update_bpdb.sql script

INSERT INTO bp.alert_source VALUES(1, 'Clients');
INSERT INTO bp.alert_source VALUES(2, '3ware');
INSERT INTO bp.alert_source VALUES(3, 'PCI');
INSERT INTO bp.alert_source VALUES(4, 'LCD');
INSERT INTO bp.alert_source VALUES(5, 'Process');
INSERT INTO bp.disk_status VALUES(1, 'OK');
INSERT INTO bp.disk_status VALUES(2, 'DEGRADED');
INSERT INTO bp.disk_status VALUES(3, 'INOPERABLE');
INSERT INTO bp.disk_status VALUES(4, 'NOT-PRESENT');
INSERT INTO bp.disk_status VALUES(5, 'REBUILDING');
INSERT INTO bp.disk_status VALUES(6, 'REBUILD-PAUSED');
INSERT INTO bp.disk_status VALUES(7, 'VERIFYING');
INSERT INTO bp.disk_status VALUES(8, 'INITIALIZING');
INSERT INTO bp.disk_status VALUES(9, 'DRIVE-REMOVED');
INSERT INTO bp.disk_status VALUES(10, 'MIGRATING');
INSERT INTO bp.disk_status VALUES(11, 'MIGRATE-PAUSED');
INSERT INTO bp.disk_status VALUES(12, 'INIT-PAUSED');
INSERT INTO bp.disk_status VALUES(13, 'RECOVERY');
INSERT INTO bp.disk_status VALUES(14, 'UNKNOWN');
INSERT INTO bp.disk_status VALUES(15, 'DCB-DATA-CHECK');
INSERT INTO bp.disk_status VALUES(16, 'DEGRADED-INIT');
INSERT INTO bp.disk_status VALUES(17, 'DEGRADED-MGRT');
INSERT INTO bp.disk_status VALUES(18, 'DEGRADED-RBLD');
INSERT INTO bp.disk_status VALUES(19, 'DEGRADED-VRFY');
INSERT INTO bp.disk_status VALUES(20, 'DEVICE-ERROR');
INSERT INTO bp.disk_status VALUES(21, 'DGRD-RBLD-INIT');
INSERT INTO bp.disk_status VALUES(22, 'DGRD-RBLD-MGRT');
INSERT INTO bp.disk_status VALUES(23, 'DGRD-RBLD-VRFY');
INSERT INTO bp.disk_status VALUES(24, 'ECC-ERROR');
INSERT INTO bp.disk_status VALUES(25, 'NOT-SUPPORTED');
INSERT INTO bp.disk_status VALUES(26, 'READ-FAILURE');
INSERT INTO bp.disk_status VALUES(27, 'READ-TIMEOUT');
INSERT INTO bp.disk_status VALUES(28, 'REBUILD-INIT');
INSERT INTO bp.disk_status VALUES(29, 'REBUILD-MGRT');
INSERT INTO bp.disk_status VALUES(30, 'REBUILD-VERIFY');
INSERT INTO bp.disk_status VALUES(31, 'OFFLINE-JBOD');
INSERT INTO bp.disk_status VALUES(32, 'ORPHAN');
INSERT INTO bp.disk_status VALUES(33, 'SMART-FAILURE');
INSERT INTO bp.disk_status VALUES(34, 'UNSUPP-DCB');
INSERT INTO bp.disk_status VALUES(35, 'UNCONV-DCB');
INSERT INTO bp.disk_status VALUES(36, 'VERIFY-PAUSED');

INSERT INTO bp.sync_type VALUES (1, 'Master');
INSERT INTO bp.sync_type VALUES (2, 'Differential');
INSERT INTO bp.sync_type VALUES (3, 'BareMetal');
INSERT INTO bp.sync_type VALUES (4, 'LocalDir');
INSERT INTO bp.sync_type VALUES (5, 'SQL');
INSERT INTO bp.sync_type VALUES (6, 'DPUstate');
INSERT INTO bp.sync_type VALUES (7, 'Exchange');
INSERT INTO bp.sync_type VALUES (8, 'MSExch Full');
INSERT INTO bp.sync_type VALUES (9, 'MSExch Incr');
INSERT INTO bp.sync_type VALUES (10, 'MSExch Diff');
INSERT INTO bp.sync_type VALUES (11, 'MSSQL Full');
INSERT INTO bp.sync_type VALUES (12, 'MSSQL Diff');
INSERT INTO bp.sync_type VALUES (13, 'MSSQL Trans');
INSERT INTO bp.sync_type VALUES (14, 'ESX VM Full');
INSERT INTO bp.sync_type VALUES (15, 'ESX VM Diff');
INSERT INTO bp.sync_type VALUES (16, 'ESX VM Incr');
INSERT INTO bp.sync_type VALUES (17, 'Hyper-V Full');
INSERT INTO bp.sync_type VALUES (18, 'Hyper-V Diff');
INSERT INTO bp.sync_type VALUES (19, 'Hyper-V Incr');
INSERT INTO bp.sync_type VALUES (20, 'System Metadata');
INSERT INTO bp.sync_type VALUES (21, 'Oracle Full');
INSERT INTO bp.sync_type VALUES (22, 'Oracle Incr');
INSERT INTO bp.sync_type VALUES (23, 'SharePoint Full');
INSERT INTO bp.sync_type VALUES (24, 'SharePoint Diff');
INSERT INTO bp.sync_type VALUES (25, 'Incremental');
INSERT INTO bp.sync_type VALUES (26, 'UCS Service Profile Full');
INSERT INTO bp.sync_type VALUES (27, 'NDMP Full');
INSERT INTO bp.sync_type VALUES (28, 'NDMP Diff');
INSERT INTO bp.sync_type VALUES (29, 'NDMP Incr');
INSERT INTO bp.priv_lookup (priv_level, priv_name, priv_description) VALUES (0, 'none', 'no permissions');
INSERT INTO bp.priv_lookup (priv_level, priv_name, priv_description) VALUES (1, 'monitor', 'monitoring permissions');
INSERT INTO bp.priv_lookup (priv_level, priv_name, priv_description) VALUES (2, 'manage', 'management permissions');
INSERT INTO bp.priv_lookup (priv_level, priv_name, priv_description) VALUES (3, 'administer', 'administration permissions');
