<?php
// defines BP, xml, action, cookie
require 'header.php';

$localID = $BP->get_local_system_id();
$dpuID = isset($_GET['sid']) ? (int)$_GET['sid'] : $localID;

// figure out which sysID to used based on view.
$sysID = $grandClientView ? $localID : $dpuID;

switch ($action) {

	case "create":
			$backupIDs = isset($_GET['ids']) ? $_GET['ids'] : "";
			$BP->buildResult($xml, $BP->backup_mount($backupIDs, $sysID));
			// Add sleep so that status API, called afterwards, will report than a backup mount is "running" instead of "none".
			sleep(1);		
			echo($xml->getXml());			
			break;
			
	case "status":	// get disk image creation status.
			$imageStatus = $BP->backup_mount_status($sysID);
			if ($imageStatus !== false) {
				$xml->push('Image');
				if (isset($imageStatus['status'])) {
					$xml->element('Status', $imageStatus['status']);
				}
				if (isset($imageStatus['samba_percent_run'])) {
					$xml->element('Samba', $imageStatus['samba_percent_run']);
				}
				if (isset($imageStatus['iscsi_percent_run'])) {
					$xml->element('ISCSI', $imageStatus['iscsi_percent_run']);
				}
				if (isset($imageStatus['message'])) {
					$xml->element('Message', $imageStatus['message']);
				}
				$xml->pop(); // Image
			} else {
				$BP->buildResult($xml, false);
			}					
			echo($xml->getXml());			
			break;
			
	case "destroy":
			$BP->buildResult($xml, $BP->backup_unmount($sysID));				
			echo($xml->getXml());			
			break;
			
}

$BP->destroyCookie();
?>
