<?php
// defines BP, xml, action, cookie
require '../header.php';

// define for Kludge to not show sctape -- API really needs to not return it!
define("SCTAPE", "sctape");

switch($action){
	
	case "list":
   		// gets the target storage on the specified DPU (specified by IP)
		$ip = $_GET['ip'];
	
		$storageList = $BP->get_target_storage($ip);
   		// make sure ok
		if ($storageList !== false) {
			$xml->push("root");
	  		foreach ($storageList as $storage) {
				if (isset($storage['device_name']) && $storage['device_name'] != SCTAPE) {  
					$xml->push("Storage");
					$xml->element('Device', $storage['device_name']);
					$xml->element('Storage', $storage['storage_name']);
					$xml->element('Path', $storage['device_path']);
					$xml->pop();  // storage
				}
		  	}
	 		 $xml->pop(); // root
	  	} else {
	 		 $BP->buildResult($xml, false);
	  	}
		echo($xml->getXml());
		break;
	
	case "save":
		// save storage preferences
		$user = $_GET['user'];
		$name = $_GET['name'];
		$bReplace = $_GET['breplace'] == '1' ? true : false;
		$result = $BP->save_storage_preference($bReplace, $user, $name);
		// build xml of result
		$BP->buildResult($xml, $result);
		echo($xml->getXml());
		break;
}

$BP->destroyCookie();

?>
